;MTBAS.QLB/.OBJ
;Stellt einige Funktionen fr Quick-
;Basic u.. Compiler zur Verfgung,
;um die MT-API zu benutzen. MTBAS.OBJ
;ist die mit LINK linkbare, assemb-
;lierte Datei, MTBAS.QLB die direkt mit
;/L in Quickbasic 4.5 ladbare Library.

code segment 'CODE'
assume cs:code,ds:code,es:code

;Call CheckMT(i%)
;Stellt fest, ob MT geladen ist;
;liefert i% = lfd.Tasks, sonst -1
CheckMT proc far
public  CheckMT
        push bp
        mov bp,sp
        mov ax,'MT'     ;MT-API
        xor cx,cx       ;Funktion 0
        int 16h
        cmp ax,'SH'     ;Geladen?
        je MTok
        mov cx,-1       ;Nein
MTok:   mov bx,[bp+6]   ;Adr. von i%
        mov [bx],cx     ;Wert speichern
        pop bp
        retf 2
CheckMT endp

;Call Priority(i%)
;Setzt Priorit der akt. Task;
;i%=1: normal, i%=0: niedrig
Priority proc far
public  Priority
        push bp
        mov bp,sp
        mov bx,[bp+6]   ;Adr.von i%
        mov cl,[bx]
        mov ax,'MT'     ;MT-API
        mov ch,1        ;Funktion 1
        int 16h
        pop bp
        retf 2
Priority endp

;Call AddTask(i$)
;Startet neue Task i$; dafr mu
;i$ mit einem chr$(0) enden!
AddTask proc far
public  AddTask
        push bp
        mov bp,sp
        mov bx,[bp+6]   ;BX=Stringdeskriptor
        mov dx,[bx+2]   ;DX=Stringadresse
        mov cx,4b00h    ;MT-API-Fkt. 4B
        mov ax,'MT'
        int 16h
        pop bp
        ret 2
AddTask endp

code ends
    end
